Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.persistence.dataobject
Class TransportDO

    java.lang.Object
      java.util.Observable
          org.wso2.wsas.persistence.dataobject.AbstractDataObject
              org.wso2.wsas.persistence.dataobject.TransportDO

    public class TransportDO

extends AbstractDataObject

Constructor Summary
`TransportDO()`

Method Summary
`void` | `addParameter(TransportParameterDO transportParameter)`
`boolean` | `equals(java.lang.Object o)`
`boolean` | `getIsStarted()`
`java.util.Set` | `getParameters()`
`java.util.Set` | `getServices()`
`java.lang.String` | `getTransportProtocol()`
`int` | `hashCode()`
`void` | `setIsStarted(boolean started)`
`void` | `setParameters(java.util.Set parameters)`
`void` | `setServices(java.util.Set services)`
`void` | `setTransportProtocol(java.lang.String transportProtocol)`

Methods inherited from class org.wso2.wsas.persistence.dataobject.AbstractDataObject
`getId, getLastUpdatedTime, notifyObservers, setId, setLastUpdatedTime`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransportDO

    public TransportDO()

Method Detail

### getTransportProtocol

    public java.lang.String getTransportProtocol()

### setTransportProtocol

    public void setTransportProtocol(java.lang.String transportProtocol)

### getIsStarted

    public boolean getIsStarted()

### setIsStarted

    public void setIsStarted(boolean started)

### getServices

    public java.util.Set getServices()

### setServices

    public void setServices(java.util.Set services)

### getParameters

    public java.util.Set getParameters()

### setParameters

    public void setParameters(java.util.Set parameters)

### addParameter

    public void addParameter(TransportParameterDO transportParameter)

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD